Using the µVision Socket Interface: BKPARM Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
BKPARM Struct Reference
Structs

## Data Fields
BKTYPE | type
| Type of breakpoint. More...
UINT | count
| Number of occurrances before actually hit. More...
UINT | accSize
| Access size for non-execution type breakpoints. More...
UINT | nExpLen
| Length of breakpoint expression, including zero terminator. More...
UINT | nCmdLen
| Length of breakpoint command, including zero terminator, or 0 if no breakpoint command is required. More...
char | szBuffer [1024]
| Breakpoint strings ('breakpoint expression',0 [,'breakpoint command',0]) More...

## Description

Breakpoint parameter data (new)

Data required to create a new breakpoint.

This structure is used in the following messages:

Client ==> uVision (Request)

- UV_DBG_CREATE_BP (Set type to the type of breakpoint to create, set count to the number of occurences before breaking, set accSize to the data width for non-execution types (otherwise 0), set nExpLen to the length of the breakpoint expression, set nCmdLen to the length of the command to execute on hitting the breakpoint (or 0 for a non-command breakpoint) and set szBuffer to the breakpoint expression and the command to execute)

## Field Documentation

UINT BKPARM::accSize

Access size for non-execution type breakpoints.

UINT BKPARM::count

Number of occurrances before actually hit.

UINT BKPARM::nCmdLen

Length of breakpoint command, including zero terminator, or 0 if no breakpoint command is required.

UINT BKPARM::nExpLen

Length of breakpoint expression, including zero terminator.

char BKPARM::szBuffer[1024]

Breakpoint strings ('breakpoint expression',0 [,'breakpoint command',0])

BKTYPE BKPARM::type

Type of breakpoint.